Skip to main content
GET
Recover persisted agent Session state

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Headers

akua-context
string
Required string length: 1 - 54

Path Parameters

id
string
required
Pattern: ^(?:ags_)?[a-zA-Z0-9]{1,50}$

Response

AgentSessionSnapshot

id
string
required
Pattern: ^(?:ags_)?[a-zA-Z0-9]{1,50}$
workspace_id
string
required
Pattern: ^(?:ws_)?[a-zA-Z0-9]{1,50}$
agent_id
string
required
Pattern: ^(?:agt_)?[a-zA-Z0-9]{1,50}$
state
enum<string>
required
Available options:
ACTIVE,
WAITING_FOR_INPUT,
WAITING_FOR_PERMISSION,
COMPLETED,
FAILED,
CANCELLED,
ARCHIVED
revision
integer
required
Required range: 1 <= x <= 9007199254740991
high_watermark
integer
required
Required range: 0 <= x <= 9007199254740991
latest_turn
object | null
required
approvals
object[]
required
Maximum array length: 64
title
string